> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/business-profile/epfo-employee-name-search.md).

# EPFO Employee Name Search

This API validates employee details against EPFO establishment records by fetching employment information, establishment details, payment history, wage month records, ECR contribution status, and employee match results to verify employment association within a registered organization.

## epfo\_employee\_name\_search

<mark style="color:green;">`POST`</mark>` ``https://secctrl.tutelar.io/api/v1/services/business_profile/epfo_employee_name_search`

#### Sample Request Body

<table><thead><tr><th width="177.07421875">Body</th><th width="101.27734375">Type</th><th width="132.39453125">Mandatory</th><th width="334.140625">Description</th></tr></thead><tbody><tr><td>establishmentId</td><td>string</td><td>Yes</td><td>Establishment Id of the organisation</td></tr><tr><td>establishmentName</td><td>string</td><td>Yes</td><td>Establishment Name or Organisation Name</td></tr><tr><td>employeeName</td><td>string</td><td>Yes</td><td>Name of the employee to search for</td></tr><tr><td>employmentMonth</td><td>string</td><td>Yes</td><td>Month value to check for, e.g. 'MM/YYYY'</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
"establishmentId": "MHBAN0059449001", 
"establishmentName": "ABC Technologies Private Limited", 
"employeeName": "John", 
"employmentMonth": "02/2026" 
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{ 
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "164a2c09-50c1-42f2-889a-4c9b34e6da30",
    "status": "completed",
    "result": {
        "establishmentId": "MHBAN0059449001",
        "establishmentName": "ABC Technologies Private Limited",
        "employeeName": "John",
        "employmentMonth": "04/2026",
        "id": 680,
        "match": false,
        "establishmentDetails": [
            {
                "establishmentName": "ABC Technologies Private Limited",
                "officeName": "MADURAI",
                "paymentDetails": [
                    {
                        "dateOfCredit": "15/05/2026",
                        "amount": "2,06,250",
                        "wageMonth": "04/2026",
                        "ecr": "YES",
                        "employeeMatch": [
                            "John T",
                            "John Doe R"
                        ],
                        "trrn": "31525070271234"
                    }
                ],
                "establishmentID": "MHBAN0059449001",
                "address": "No 7 Kamaraj Nagar 3rd Street"
            }
        ]
    },
    "requested_at": "2026-06-01T11:52:29.994Z",
    "completed_at": "2026-06-01T11:52:31.842Z"
}
```

{% endtab %}

{% tab title="200 : In progress" %}

```json
{
"success": true,
"code": 200,
"message": "The request is being processed. Please wait for completion.",
"reference_id": "a36b94b0-5144-4851-95f1-23689054c8e7",
"status": "in_progress",
"requested_at": "2026-05-21T08:02:49.988Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "36069152-b73d-4950-b8c9-e4d1c8c0ddc9",
    "status": "failed",
    "error": {
        "message": "Invalid Establishment Id",
        "code": "ERROR"
    },
    "requested_at": "2026-06-01T12:06:07.501Z",
    "completed_at": "2026-06-01T12:06:12.286Z"
}

{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Establishment ID should not be empty",
        "field": "establishmentId",
        "code": "BAD_REQUEST"
    }
}

{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Establishment Name should be between 2 and 150 characters",
        "field": "establishmentName",
        "code": "BAD_REQUEST"
    }
}

{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Employment Month should be in MM/YYYY format",
        "field": "employmentMonth",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "cd40210f-95de-419d-8624-d0c9ece62588",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-05-21T10:10:32.826Z",
    "completed_at": "2026-05-21T10:10:35.253Z"
}
```

{% endtab %}
{% endtabs %}

## Get details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/epfo_employee_name_search`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{ 
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "164a2c09-50c1-42f2-889a-4c9b34e6da30",
    "status": "completed",
    "result": {
        "establishmentId": "MHBAN0059449001",
        "establishmentName": "ABC Technologies Private Limited",
        "employeeName": "John",
        "employmentMonth": "04/2026",
        "id": 680,
        "match": false,
        "establishmentDetails": [
            {
                "establishmentName": "ABC Technologies Private Limited",
                "officeName": "MADURAI",
                "paymentDetails": [
                    {
                        "dateOfCredit": "15/05/2026",
                        "amount": "2,06,250",
                        "wageMonth": "04/2026",
                        "ecr": "YES",
                        "employeeMatch": [
                            "John T",
                            "John Doe R"
                        ],
                        "trrn": "31525070271234"
                    }
                ],
                "establishmentID": "MHBAN0059449001",
                "address": "No 7 Kamaraj Nagar 3rd Street"
            }
        ]
    },
    "requested_at": "2026-06-01T11:52:29.994Z",
    "completed_at": "2026-06-01T11:52:31.842Z"
}
```

{% endtab %}

{% tab title="200: In progress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "a36b94b0-5144-4851-95f1-23689054c8e7",
    "status": "in_progress",
    "requested_at": "2026-05-21T08:02:49.988Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json

{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "cd40210f-95de-419d-8624-d0c9ece62588",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-05-21T10:10:32.826Z",
    "completed_at": "2026-05-21T10:10:35.253Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/business-profile/epfo-employee-name-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
